<template>
  <div>
    <OrderTrachking v-if="isCheckSlug" />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";
import { api, apiLocal } from "~/common/constaint";
import { resources } from "~/interfaces/api";

@Component({
  layout: "userSlug",
  components: {
    OrderTrachking: () =>
      import("@/components/Home/OrderTrackingSlug/index.vue"),
  },
})
export default class CheckOrderPage extends Vue {
  head() {
    return {
      title:
        "Order Tracking - " +
          (this.$store.state.setting.siteInfo &&
            this.$store.state.setting.siteInfo.storeName +
              " - " +
              this.$store.state?.setting?.siteInfo?.productName) || "",
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }

  get isCheckSlug() {
    return this.$store.state?.product?.isCheckSlug || "";
  }
}
</script>
